--- /homez.786/ridinteadu/_serious_analysis/van_21.0.0/dolibarr-21.0.0/htdocs/comm/action/card.php	2025-03-03 15:58:17.000000000 +0000
+++ /homez.786/ridinteadu/seriousbeta/dolibarr/htdocs/comm/action/card.php	2025-05-26 12:57:19.098506000 +0000
@@ -2253,56 +2440,56 @@
 		if (isModEnabled('project')) {
 			$langs->load("projects");
 
-			print '<tr><td class="titlefieldcreate">'.$langs->trans("Project").'</td><td>';
+			print '<tr><td class="titlefieldcreate">' . $langs->trans("Project") . '</td><td>';
 			print img_picto('', 'project', 'class="pictofixedwidth"');
 			$numprojet = $formproject->select_projects(($object->socid > 0 ? $object->socid : -1), $object->fk_project, 'projectid', 0, 0, 1, 0, 0, 0, 0, '', 0, 0, 'maxwidth500 widthcentpercentminusxx');
 			if ($numprojet == 0) {
-				print ' &nbsp; <a href="'.DOL_URL_ROOT.'/projet/card.php?socid='.$object->socid.'&action=create&token='.newToken().'&backtopage='.urlencode($_SERVER["PHP_SELF"].'?id='.$object->id.'&action=edit').'"><span class="fa fa-plus-circle valignmiddle paddingleft" title="'.$langs->trans("AddProject").'"></span></a>';
+				print ' &nbsp; <a href="' . DOL_URL_ROOT . '/projet/card.php?socid=' . $object->socid . '&action=create&token=' . newToken() . '&backtopage=' . urlencode($_SERVER["PHP_SELF"] . '?id=' . $object->id . '&action=edit') . '"><span class="fa fa-plus-circle valignmiddle paddingleft" title="' . $langs->trans("AddProject") . '"></span></a>';
 			}
 			print '</td></tr>';
 		}
 
 		// Priority
 		if (getDolGlobalString('AGENDA_SUPPORT_PRIORITY_IN_EVENTS')) {
-			print '<tr><td class="titlefieldcreate nowrap">'.$langs->trans("Priority").'</td><td>';
-			print '<input type="text" name="priority" value="'.($object->priority ? $object->priority : '').'" size="5">';
+			print '<tr><td class="titlefieldcreate nowrap">' . $langs->trans("Priority") . '</td><td>';
+			print '<input type="text" name="priority" value="' . ($object->priority ? $object->priority : '') . '" size="5">';
 			print '</td></tr>';
 		}
 
 		// Object linked
 		if (!empty($object->fk_element) && !empty($object->elementtype)) {
-			include_once DOL_DOCUMENT_ROOT.'/core/lib/functions2.lib.php';
+			include_once DOL_DOCUMENT_ROOT . '/core/lib/functions2.lib.php';
 			print '<tr>';
-			print '<td>'.$langs->trans("LinkedObject").'</td>';
+			print '<td>' . $langs->trans("LinkedObject") . '</td>';
 
 			if ($object->elementtype == 'task' && isModEnabled('project')) {
 				print '<td id="project-task-input-container" >';
 
 				$urloption = '?action=create&donotclearsession=1'; // we use create not edit for more flexibility
-				$url = DOL_URL_ROOT.'/comm/action/card.php'.$urloption;
+				$url = DOL_URL_ROOT . '/comm/action/card.php' . $urloption;
 
 				// update task list
-				print "\n".'<script type="text/javascript" >';
+				print "\n" . '<script type="text/javascript" >';
 				print '$(document).ready(function () {
 	              $("#projectid").change(function () {
-                        var url = "'.$url.'&projectid="+$("#projectid").val();
+                        var url = "' . $url . '&projectid="+$("#projectid").val();
                         $.get(url, function(data) {
                             console.log($( data ).find("#fk_element").html());
                             if (data) $("#fk_element").html( $( data ).find("#taskid").html() ).select2();
                         })
                   });
                 })';
-				print '</script>'."\n";
+				print '</script>' . "\n";
 
 				$formproject->selectTasks((!empty($societe->id) ? $societe->id : -1), $object->fk_element, 'fk_element', 24, 0, 0, 1, 0, 0, 'maxwidth500', $object->fk_project);
-				print '<input type="hidden" name="elementtype" value="'.$object->elementtype.'">';
+				print '<input type="hidden" name="elementtype" value="' . $object->elementtype . '">';
 
 				print '</td>';
 			} else {
 				print '<td>';
 				print dolGetElementUrl($object->fk_element, $object->elementtype, 1);
-				print '<input type="hidden" name="fk_element" value="'.$object->fk_element.'">';
-				print '<input type="hidden" name="elementtype" value="'.$object->elementtype.'">';
+				print '<input type="hidden" name="fk_element" value="' . $object->fk_element . '">';
+				print '<input type="hidden" name="elementtype" value="' . $object->elementtype . '">';
 				print '</td>';
 			}
 
@@ -2310,9 +2497,9 @@
 		}
 
 		// Description
-		print '<tr><td class="tdtop">'.$langs->trans("Description").'</td><td>';
+		print '<tr><td class="tdtop">' . $langs->trans("Description") . '</td><td>';
 		// Editeur wysiwyg
-		require_once DOL_DOCUMENT_ROOT.'/core/class/doleditor.class.php';
+		require_once DOL_DOCUMENT_ROOT . '/core/class/doleditor.class.php';
 		$doleditor = new DolEditor('note', $object->note_private, '', 120, 'dolibarr_notes', 'In', true, true, isModEnabled('fckeditor'), ROWS_4, '90%');
 		$doleditor->Create();
 		print '</td></tr>';
@@ -2326,6 +2513,12 @@
 		}
 
 		print '</table>';
+		print '<br>';
+
+
+		print $form->buttonsSaveCancel();
+
+		print '</form>';
 
 		// Reminders
 		if (getDolGlobalString('AGENDA_REMINDER_EMAIL') || getDolGlobalString('AGENDA_REMINDER_BROWSER')) {
@@ -2357,22 +2550,22 @@
 			}
 			*/
 
-			print '<label for="addreminder">'.img_picto('', 'bell', 'class="pictofixedwidth"').$langs->trans("AddReminder").'</label> <input type="checkbox" id="addreminder" name="addreminder"'.($checked ? ' '.$checked : '').($disabled ? ' '.$disabled : '').'><br>';
+			print '<label for="addreminder">' . img_picto('', 'bell', 'class="pictofixedwidth"') . $langs->trans("AddReminder") . '</label> <input type="checkbox" id="addreminder" name="addreminder"' . ($checked ? ' ' . $checked : '') . ($disabled ? ' ' . $disabled : '') . '><br>';
 
-			print '<div class="reminderparameters" '.(empty($checked) ? 'style="display: none;"' : '').'>';
+			print '<div class="reminderparameters" ' . (empty($checked) ? 'style="display: none;"' : '') . '>';
 
 			print '<br>';
 
 			print '<table class="border centpercent">';
 
 			// Reminder
-			print '<tr><td class="titlefieldcreate nowrap">'.$langs->trans("ReminderTime").'</td><td colspan="3">';
-			print '<input type="number" name="offsetvalue" class="width50" value="'.$actionCommReminder->offsetvalue.'"> ';
+			print '<tr><td class="titlefieldcreate nowrap">' . $langs->trans("ReminderTime") . '</td><td colspan="3">';
+			print '<input type="number" name="offsetvalue" class="width50" value="' . $actionCommReminder->offsetvalue . '"> ';
 			print $form->selectTypeDuration('offsetunit', $actionCommReminder->offsetunit, array('y', 'm'));
 			print '</td></tr>';
 
 			// Reminder Type
-			print '<tr><td class="titlefieldcreate nowrap">'.$langs->trans("ReminderType").'</td><td colspan="3">';
+			print '<tr><td class="titlefieldcreate nowrap">' . $langs->trans("ReminderType") . '</td><td colspan="3">';
 			print $form->selectarray('selectremindertype', $TRemindTypes, $actionCommReminder->typeremind, 0, 0, 0, '', 0, 0, 0, '', 'minwidth200', 1);
 			print '</td></tr>';
 
@@ -2383,14 +2576,103 @@
 
 			// Mail Model
 			if (getDolGlobalString('AGENDA_REMINDER_EMAIL')) {
-				print '<tr '.$hide.'><td class="titlefieldcreate nowrap">'.$langs->trans("EMailTemplates").'</td><td colspan="3">';
+				print '<tr ' . $hide . '><td class="titlefieldcreate nowrap">' . $langs->trans("EMailTemplates") . '</td><td colspan="3">';
 				print $form->selectModelMail('actioncommsend', 'actioncomm_send', 1, 1, $actionCommReminder->fk_email_template);
 				print '</td></tr>';
 			}
 
 			print '</table>';
 
-			print "\n".'<script type="text/javascript">';
+			print '<br>';
+
+			print '<div><input type="submit" class="button" value="' . $langs->trans("ReminderAdd") . '"></div>';
+
+			print '<br>';
+
+
+			print '<div class="reminder-list" data-has-reminders="' . (count($reminders) > 0 ? '1' : '0') . '" style="' . (count($reminders) == 0 ? 'display:none;' : '') . '">';
+
+			print '<form method="POST" action="' . $_SERVER['PHP_SELF'] . '?id=' . (int) $actioncomm->id . '">';
+			print '<input type="hidden" name="action" value="massdeletereminder">';
+			print '<div class="div-table-responsive-no-min">';
+			print '<table class="liste centpercent">';
+			print '<tr class="liste_titre">';
+			print '<td>' . $langs->trans("ReminderType") . '</td>';
+			print '<td>' . $langs->trans("ReminderDelay") . '</td>';
+			print '<td class="right">' . $langs->trans("Edit") . '</td>';
+			print '<td class="center"><input type="checkbox" id="checkallreminders"></td>';
+			print '</tr>';
+
+			foreach ($reminders as $reminder) {
+				print '<tr class="oddeven">';
+				print '<td>' . $reminder->typeremind . '</td>';
+				print '<td>' . $reminder->offsetvalue . ' ' . $reminder->offsetunit . '</td>';
+
+
+				$urlto = dol_buildpath('/comm/action/reminder_edit_popup.php', 1) . '?id=' . $reminder->id;
+
+				print '<td class="right">';
+				print dolButtonToOpenUrlInDialogPopup(
+					'editReminder' . $reminder->id,
+					$langs->trans("Modify"),
+					img_picto($langs->trans("Edit"), 'edit', 'class="p-1"'),
+					$urlto,
+					'',
+					'nohover'
+				);
+				print '<td class="center"><input type="checkbox" class="reminder-checkbox" name="reminderids[]" value="' . $reminder->id . '"></td>';
+
+				print '</td>';
+				print '</tr>';
+			}
+
+
+			print '</table>';
+			print '</div>';
+			print '<div class="tabsAction">';
+			print '<input type="submit" class="butActionDelete" value="' . $langs->trans("DeleteSelected") . '">';
+			print '</div>';
+			print '</form>';
+
+			print '<script>
+$(document).ready(function () {
+    $("#ajax-add-reminder").on("submit", function (e) {
+        e.preventDefault();
+        var form = $(this);
+        var formData = form.serialize() + "&ajax=1&action=addreminder";
+
+        $.ajax({
+            url: window.location.href,
+            method: "POST",
+            data: formData,
+            dataType: "json",
+            success: function (response) {
+                if (response.success) {
+                    $(".reminder-list").show();
+                    $(".reminder-list table").append(
+                        "<tr>" +
+                        "<td>" + response.type + "</td>" +
+                        "<td>" + response.delay + "</td>" +
+                        "<td>" +
+                        "<a class=\'button\' href=\'" + window.location.pathname + "?id=' . (int) $actioncomm->id . '&reminderid=" + response.id + "&action=editreminder\'>" + "' . dol_escape_js($langs->transnoentities("Modify")) . '" + "</a> " +
+                        "<a class=\'button\' href=\'" + window.location.pathname + "?id=' . (int) $actioncomm->id . '&reminderid=" + response.id + "&action=deletereminder\'>" + "' . dol_escape_js($langs->transnoentities("Delete")) . '" + "</a>" +
+                        "</td>" +
+                        "</tr>"
+                    );
+                    form[0].reset();
+                }
+            },
+            error: function (xhr) {
+                alert("Erreur : " + xhr.responseText);
+            }
+        });
+    });
+});
+</script>';
+
+
+
+			print "\n" . '<script type="text/javascript">';
 			print '$(document).ready(function () {
 	            		$("#addreminder").click(function(){
 	            		    if (this.checked) {
@@ -2410,16 +2692,16 @@
 	            		});
 
                    })';
-			print '</script>'."\n";
+			print '</script>' . "\n";
 
 			$reminderDefaultEventTypes = getDolGlobalString('AGENDA_DEFAULT_REMINDER_EVENT_TYPES', '');
 			$reminderDefaultOffset = getDolGlobalString('AGENDA_DEFAULT_REMINDER_OFFSET', 30);
 			$reminderDefaultUnit = getDolGlobalString('AGENDA_DEFAULT_REMINDER_OFFSET_UNIT');
 			$reminderDefaultEmailModel = getDolGlobalString('AGENDA_DEFAULT_REMINDER_EMAIL_MODEL');
 
-			print "\n".'<script type="text/javascript">';
+			print "\n" . '<script type="text/javascript">';
 			print '$(document).ready(function () {
-					const reminderDefaultEventTypes = \''.dol_escape_js($reminderDefaultEventTypes).'\';
+					const reminderDefaultEventTypes = \'' . dol_escape_js($reminderDefaultEventTypes) . '\';
 					$("#actioncode").change(function(){
 						var selected_event_type = $("#actioncode option:selected").val();
 
@@ -2428,9 +2710,9 @@
 							$("#addreminder").prop("checked", true);
 
 							// Set period with default reminder period
-							$("#offsetvalue").val(\''.dol_escape_js($reminderDefaultOffset).'\');
+							$("#offsetvalue").val(\'' . dol_escape_js($reminderDefaultOffset) . '\');
 							$("#select_offsetunittype_duration").select2("destroy");
-							$("#select_offsetunittype_duration").val(\''.dol_escape_js($reminderDefaultUnit).'\');
+							$("#select_offsetunittype_duration").val(\'' . dol_escape_js($reminderDefaultUnit) . '\');
 							$("#select_offsetunittype_duration").select2();
 
 							$("#selectremindertype").select2("destroy");
@@ -2440,20 +2722,16 @@
 							// Set default reminder mail model
 							$("#select_actioncommsendmodel_mail").closest("tr").show();
 							$("#select_actioncommsendmodel_mail").select2("destroy");
-							$("#select_actioncommsendmodel_mail").val(\''.dol_escape_js($reminderDefaultEmailModel).'\');
+							$("#select_actioncommsendmodel_mail").val(\'' . dol_escape_js($reminderDefaultEmailModel) . '\');
 							$("#select_actioncommsendmodel_mail").select2();
 						}
 					});
 			   })';
-			print '</script>'."\n";
+			print '</script>' . "\n";
 			print '</div>';		// End of div for reminderparameters
 		}
 
 		print dol_get_fiche_end();
-
-		print $form->buttonsSaveCancel();
-
-		print '</form>';
 	} else {
 		print dol_get_fiche_head($head, 'card', $langs->trans("Action"), -1, 'action');
 
@@ -2461,7 +2739,7 @@
 
 		// Clone event
 		if ($action == 'clone') {
-			$formconfirm = $form->formconfirm($_SERVER["PHP_SELF"].'?id='.GETPOST('id'), $langs->trans('ToClone'), $langs->trans('ConfirmCloneEvent', $object->label), 'confirm_clone', array(), 'yes', 1);
+			$formconfirm = $form->formconfirm($_SERVER["PHP_SELF"] . '?id=' . GETPOST('id'), $langs->trans('ToClone'), $langs->trans('ConfirmCloneEvent', $object->label), 'confirm_clone', array(), 'yes', 1);
 		}
 
 		// Call Hook formConfirm
@@ -2478,33 +2756,33 @@
 
 		$linkback = '';
 		// Link to other agenda views
-		$linkback .= '<a href="'.DOL_URL_ROOT.'/comm/action/list.php?mode=show_list&restore_lastsearch_values=1">';
+		$linkback .= '<a href="' . DOL_URL_ROOT . '/comm/action/list.php?mode=show_list&restore_lastsearch_values=1">';
 		$linkback .= img_picto($langs->trans("BackToList"), 'object_calendarlist', 'class="pictoactionview pictofixedwidth"');
-		$linkback .= '<span class="hideonsmartphone">'.$langs->trans("BackToList").'</span>';
+		$linkback .= '<span class="hideonsmartphone">' . $langs->trans("BackToList") . '</span>';
 		$linkback .= '</a>';
 		$linkback .= '</li>';
 		$linkback .= '<li class="noborder litext">';
-		$linkback .= '<a href="'.DOL_URL_ROOT.'/comm/action/index.php?mode=show_month&year='.dol_print_date($object->datep, '%Y').'&month='.dol_print_date($object->datep, '%m').'&day='.dol_print_date($object->datep, '%d').'">';
+		$linkback .= '<a href="' . DOL_URL_ROOT . '/comm/action/index.php?mode=show_month&year=' . dol_print_date($object->datep, '%Y') . '&month=' . dol_print_date($object->datep, '%m') . '&day=' . dol_print_date($object->datep, '%d') . '">';
 		$linkback .= img_picto($langs->trans("ViewCal"), 'object_calendar', 'class="pictoactionview pictofixedwidth"');
-		$linkback .= '<span class="hideonsmartphone">'.$langs->trans("ViewCal").'</span>';
+		$linkback .= '<span class="hideonsmartphone">' . $langs->trans("ViewCal") . '</span>';
 		$linkback .= '</a>';
 		$linkback .= '</li>';
 		$linkback .= '<li class="noborder litext">';
-		$linkback .= '<a href="'.DOL_URL_ROOT.'/comm/action/index.php?mode=show_week&year='.dol_print_date($object->datep, '%Y').'&month='.dol_print_date($object->datep, '%m').'&day='.dol_print_date($object->datep, '%d').'">';
+		$linkback .= '<a href="' . DOL_URL_ROOT . '/comm/action/index.php?mode=show_week&year=' . dol_print_date($object->datep, '%Y') . '&month=' . dol_print_date($object->datep, '%m') . '&day=' . dol_print_date($object->datep, '%d') . '">';
 		$linkback .= img_picto($langs->trans("ViewWeek"), 'object_calendarweek', 'class="pictoactionview pictofixedwidth"');
-		$linkback .= '<span class="hideonsmartphone">'.$langs->trans("ViewWeek").'</span>';
+		$linkback .= '<span class="hideonsmartphone">' . $langs->trans("ViewWeek") . '</span>';
 		$linkback .= '</a>';
 		$linkback .= '</li>';
 		$linkback .= '<li class="noborder litext">';
-		$linkback .= '<a href="'.DOL_URL_ROOT.'/comm/action/index.php?mode=show_day&year='.dol_print_date($object->datep, '%Y').'&month='.dol_print_date($object->datep, '%m').'&day='.dol_print_date($object->datep, '%d').'">';
+		$linkback .= '<a href="' . DOL_URL_ROOT . '/comm/action/index.php?mode=show_day&year=' . dol_print_date($object->datep, '%Y') . '&month=' . dol_print_date($object->datep, '%m') . '&day=' . dol_print_date($object->datep, '%d') . '">';
 		$linkback .= img_picto($langs->trans("ViewDay"), 'object_calendarday', 'class="pictoactionview pictofixedwidth"');
-		$linkback .= '<span class="hideonsmartphone">'.$langs->trans("ViewDay").'</span>';
+		$linkback .= '<span class="hideonsmartphone">' . $langs->trans("ViewDay") . '</span>';
 		$linkback .= '</a>';
 		$linkback .= '</li>';
 		$linkback .= '<li class="noborder litext">';
-		$linkback .= '<a href="'.DOL_URL_ROOT.'/comm/action/peruser.php?mode=show_peruser&year='.dol_print_date($object->datep, '%Y').'&month='.dol_print_date($object->datep, '%m').'&day='.dol_print_date($object->datep, '%d').'">';
+		$linkback .= '<a href="' . DOL_URL_ROOT . '/comm/action/peruser.php?mode=show_peruser&year=' . dol_print_date($object->datep, '%Y') . '&month=' . dol_print_date($object->datep, '%m') . '&day=' . dol_print_date($object->datep, '%d') . '">';
 		$linkback .= img_picto($langs->trans("ViewPerUser"), 'object_calendarperuser', 'class="pictoactionview pictofixedwidth"');
-		$linkback .= '<span class="hideonsmartphone">'.$langs->trans("ViewPerUser").'</span>';
+		$linkback .= '<span class="hideonsmartphone">' . $langs->trans("ViewPerUser") . '</span>';
 		$linkback .= '</a>';
 
 		// Add more views from hooks
@@ -2528,16 +2806,16 @@
 			if ($usercancreate) {
 				$morehtmlref .= img_picto($langs->trans("Project"), 'project', 'class="pictofixedwidth"');
 				if ($action != 'classify') {
-					$morehtmlref .= '<a class="editfielda" href="'.$_SERVER['PHP_SELF'].'?action=classify&token='.newToken().'&id='.$object->id.'">'.img_edit($langs->transnoentitiesnoconv('SetProject')).'</a> ';
+					$morehtmlref .= '<a class="editfielda" href="' . $_SERVER['PHP_SELF'] . '?action=classify&token=' . newToken() . '&id=' . $object->id . '">' . img_edit($langs->transnoentitiesnoconv('SetProject')) . '</a> ';
 				}
-				$morehtmlref .= $form->form_project($_SERVER['PHP_SELF'].'?id='.$object->id, $object->socid, $object->fk_project, ($action == 'classify' ? 'projectid' : 'none'), 0, 0, 0, 1, '', 'maxwidth300');
+				$morehtmlref .= $form->form_project($_SERVER['PHP_SELF'] . '?id=' . $object->id, $object->socid, $object->fk_project, ($action == 'classify' ? 'projectid' : 'none'), 0, 0, 0, 1, '', 'maxwidth300');
 			} else {
 				if (!empty($object->fk_project)) {
 					$proj = new Project($db);
 					$proj->fetch($object->fk_project);
 					$morehtmlref .= $proj->getNomUrl(1);
 					if ($proj->title) {
-						$morehtmlref .= '<span class="opacitymedium"> - '.dol_escape_htmltag($proj->title).'</span>';
+						$morehtmlref .= '<span class="opacitymedium"> - ' . dol_escape_htmltag($proj->title) . '</span>';
 					}
 				}
 			}
@@ -2557,11 +2835,11 @@
 
 		// Type
 		if (getDolGlobalString('AGENDA_USE_EVENT_TYPE')) {
-			print '<tr><td class="titlefield">'.$langs->trans("Type").'</td><td>';
-			$labeltype = ($langs->transnoentities("Action".$object->type_code) != "Action".$object->type_code) ? $langs->transnoentities("Action".$object->type_code) : $object->type_label;
+			print '<tr><td class="titlefield">' . $langs->trans("Type") . '</td><td>';
+			$labeltype = ($langs->transnoentities("Action" . $object->type_code) != "Action" . $object->type_code) ? $langs->transnoentities("Action" . $object->type_code) : $object->type_label;
 			$labeltoshow = $labeltype;
 			if ($object->code) {
-				$labeltoshow .= ' ('.$object->code.')';
+				$labeltoshow .= ' (' . $object->code . ')';
 			}
 			print $object->getTypePicto('pictofixedwidth paddingright', $labeltoshow);
 			print $labeltype;
@@ -2569,11 +2847,11 @@
 		}
 
 		// Full day event
-		print '<tr><td class="titlefield">'.$langs->trans("EventOnFullDay").'</td><td>'.yn($object->fulldayevent ? 1 : 0, 3).'</td></tr>';
+		print '<tr><td class="titlefield">' . $langs->trans("EventOnFullDay") . '</td><td>' . yn($object->fulldayevent ? 1 : 0, 3) . '</td></tr>';
 
 		// Event into a series
 		if ($object->recurid) {
-			print '<tr><td class="titlefield">'.$langs->trans("EventIntoASerie").'</td><td>'.dol_escape_htmltag($object->recurid).'</td></tr>';
+			print '<tr><td class="titlefield">' . $langs->trans("EventIntoASerie") . '</td><td>' . dol_escape_htmltag($object->recurid) . '</td></tr>';
 		}
 
 		$rowspan = 4;
@@ -2582,7 +2860,7 @@
 		}
 
 		// Date start
-		print '<tr><td>'.$langs->trans("DateActionStart").'</td><td>';
+		print '<tr><td>' . $langs->trans("DateActionStart") . '</td><td>';
 		// Test a date before the 27 march and one after
 		//print dol_print_date($object->datep, 'dayhour', 'gmt');
 		//print dol_print_date($object->datep, 'dayhour', 'tzuser');
@@ -2600,7 +2878,7 @@
 		print '</tr>';
 
 		// Date end
-		print '<tr><td>'.$langs->trans("DateActionEnd").'</td><td>';
+		print '<tr><td>' . $langs->trans("DateActionEnd") . '</td><td>';
 		if (empty($object->fulldayevent)) {
 			print dol_print_date($object->datef, 'dayhour', 'tzuserrel');
 		} else {
@@ -2614,11 +2892,11 @@
 
 		// Location
 		if (!getDolGlobalString('AGENDA_DISABLE_LOCATION')) {
-			print '<tr><td>'.$langs->trans("Location").'</td><td>'.$object->location.'</td></tr>';
+			print '<tr><td>' . $langs->trans("Location") . '</td><td>' . $object->location . '</td></tr>';
 		}
 
 		// Assigned to user
-		print '<tr><td class="nowrap">'.$langs->trans("ActionAssignedTo").'</td><td>';
+		print '<tr><td class="nowrap">' . $langs->trans("ActionAssignedTo") . '</td><td>';
 		$listofuserid = array();
 		if (empty($donotclearsession)) {
 			if ($object->userownerid > 0) {
@@ -2662,7 +2940,7 @@
 
 		// Categories
 		if (isModEnabled('category')) {
-			print '<tr><td class="valignmiddle">'.$langs->trans("Categories").'</td><td>';
+			print '<tr><td class="valignmiddle">' . $langs->trans("Categories") . '</td><td>';
 			print $form->showCategories($object->id, Categorie::TYPE_ACTIONCOMM, 1);
 			print "</td></tr>";
 		}
@@ -2678,17 +2956,17 @@
 
 		if (isModEnabled("societe")) {
 			// Related company
-			print '<tr><td class="titlefield">'.$langs->trans("ActionOnCompany").'</td>';
-			print '<td>'.(is_object($object->thirdparty) && $object->thirdparty->id ? $object->thirdparty->getNomUrl(1) : ('<span class="opacitymedium">'.$langs->trans("None").'</span>'));
+			print '<tr><td class="titlefield">' . $langs->trans("ActionOnCompany") . '</td>';
+			print '<td>' . (is_object($object->thirdparty) && $object->thirdparty->id ? $object->thirdparty->getNomUrl(1) : ('<span class="opacitymedium">' . $langs->trans("None") . '</span>'));
 			if (is_object($object->thirdparty) && $object->thirdparty->id > 0 && $object->type_code == 'AC_TEL') {
 				if ($object->thirdparty->fetch($object->thirdparty->id)) {
-					print "<br>".dol_print_phone($object->thirdparty->phone);
+					print "<br>" . dol_print_phone($object->thirdparty->phone);
 				}
 			}
 			print '</td></tr>';
 
 			// Related contact
-			print '<tr><td>'.$langs->trans("ActionOnContact").'</td>';
+			print '<tr><td>' . $langs->trans("ActionOnContact") . '</td>';
 			print '<td>';
 
 			if (!empty($object->socpeopleassigned)) {
@@ -2704,14 +2982,14 @@
 						print $contact->getNomUrl(1);
 						if ($object->type_code == 'AC_TEL') {
 							if (!empty($contact->phone_pro)) {
-								print '('.dol_print_phone($contact->phone_pro).')';
+								print '(' . dol_print_phone($contact->phone_pro) . ')';
 							}
 						}
 						print '<div class="paddingright"></div>';
 					}
 				}
 			} else {
-				print '<span class="opacitymedium">'.$langs->trans("None").'</span>';
+				print '<span class="opacitymedium">' . $langs->trans("None") . '</span>';
 			}
 			print '</td></tr>';
 		}
@@ -2726,12 +3004,12 @@
 		// Object linked (if link is for thirdparty, contact, project it is a recording error. We should not have links in link table
 		// for such objects because there is already a dedicated field into table llx_actioncomm.
 		if (!empty($object->fk_element) && !empty($object->elementtype) && !in_array($object->elementtype, array('societe', 'contact', 'project'))) {
-			include_once DOL_DOCUMENT_ROOT.'/core/lib/functions2.lib.php';
-			print '<tr><td>'.$langs->trans("LinkedObject").'</td>';
+			include_once DOL_DOCUMENT_ROOT . '/core/lib/functions2.lib.php';
+			print '<tr><td>' . $langs->trans("LinkedObject") . '</td>';
 			$link = dolGetElementUrl($object->fk_element, $object->elementtype, 1);
 			print '<td>';
 			if (empty($link)) {
-				print '<span class="opacitymedium">'.$langs->trans("ObjectDeleted").'</span>';
+				print '<span class="opacitymedium">' . $langs->trans("ObjectDeleted") . '</span>';
 			} else {
 				print $link;
 			}
@@ -2740,25 +3018,25 @@
 
 		//mail information
 		if (!empty($object->email_msgid)) {
-			print '<tr><td>'.$langs->trans('MailTopic').'</td>';
-			print '<td>'.dol_escape_htmltag($object->email_subject).'</td></tr>';
-			print '<tr><td>'.$langs->trans('MailFrom').'</td>';
-			print '<td>'.dol_escape_htmltag($object->email_from).'</td></tr>';
-			print '<tr><td>'.$langs->trans('MailTo').'</td>';
-			print '<td>'.dol_escape_htmltag($object->email_to).'</td></tr>';
+			print '<tr><td>' . $langs->trans('MailTopic') . '</td>';
+			print '<td>' . dol_escape_htmltag($object->email_subject) . '</td></tr>';
+			print '<tr><td>' . $langs->trans('MailFrom') . '</td>';
+			print '<td>' . dol_escape_htmltag($object->email_from) . '</td></tr>';
+			print '<tr><td>' . $langs->trans('MailTo') . '</td>';
+			print '<td>' . dol_escape_htmltag($object->email_to) . '</td></tr>';
 			if (!empty($object->email_tocc)) {
-				print '<tr><td>'.$langs->trans('MailCC').'</td>';
-				print '<td>'.dol_escape_htmltag($object->email_tocc).'</td></tr>';
+				print '<tr><td>' . $langs->trans('MailCC') . '</td>';
+				print '<td>' . dol_escape_htmltag($object->email_tocc) . '</td></tr>';
 			}
 		}
 
 		// Description
-		print '<tr><td class="tdtop">'.$langs->trans("Description").'</td><td class="wordbreak sensiblehtmlcontent">';
+		print '<tr><td class="tdtop">' . $langs->trans("Description") . '</td><td class="wordbreak sensiblehtmlcontent">';
 		print dol_string_onlythesehtmltags(dol_htmlentitiesbr($object->note_private));
 		print '</td></tr>';
 
 		// Other attributes
-		include DOL_DOCUMENT_ROOT.'/core/tpl/extrafields_view.tpl.php';
+		include DOL_DOCUMENT_ROOT . '/core/tpl/extrafields_view.tpl.php';
 
 		// Reminders
 		if (getDolGlobalString('AGENDA_REMINDER_EMAIL') || getDolGlobalString('AGENDA_REMINDER_BROWSER')) {
@@ -2768,7 +3046,7 @@
 			}
 			$object->loadReminders('', $filteruserid, false);
 
-			print '<tr><td class="titlefieldcreate nowrap">'.$langs->trans("Reminders").'</td><td>';
+			print '<tr><td class="titlefieldcreate nowrap">' . $langs->trans("Reminders") . '</td><td>';
 
 			if (count($object->reminders) > 0) {
 				$tmpuserstatic = new User($db);
@@ -2777,9 +3055,9 @@
 					print $TRemindTypes[$actioncommreminder->typeremind]['label'];
 					if ($actioncommreminder->fk_user > 0) {
 						$tmpuserstatic->fetch($actioncommreminder->fk_user);
-						print ' ('.$tmpuserstatic->getNomUrl(0, '', 0, 0, 16).')';
+						print ' (' . $tmpuserstatic->getNomUrl(0, '', 0, 0, 16) . ')';
 					}
-					print ' - '.$actioncommreminder->offsetvalue.' '.$TDurationTypes[$actioncommreminder->offsetunit];
+					print ' - ' . $actioncommreminder->offsetvalue . ' ' . $TDurationTypes[$actioncommreminder->offsetunit];
 
 					if ($actioncommreminder->status == $actioncommreminder::STATUS_TODO) {
 						print ' - <span class="opacitymedium">';
@@ -2811,6 +3089,8 @@
 	}
 
 
+
+
 	/*
 	 * Action bar
 	 */
